Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.manager.communities
Class CommunityInvitationHelper

    java.lang.Object
      com.bea.netuix.servlets.manager.communities.CommunityInvitationHelper

    public class CommunityInvitationHelper

extends Object

The `CommunityInvitationHelper` object is used to access community invitation functionality.

Method Summary
`InvitationStatus` | `consume(Invitation invitation, InvitationStatus status)` Convenience method for consuming an invitation.
`static CommunityInvitationHelper` | `getCommunityInvitationHelper(HttpServletRequest request)` A convenience method for returning the `CommunityInvitationHelper` object associated with the specified Request.
`Invitation` | `getInvitation(CommunityDefinitionId communityId, String wlsUserName)` Retrieves an `Invitation` by communityId and wlsUserName.
`Invitation` | `getInvitation(InviteeId inviteeId)` Retrieves an `Invitation` by `InviteeId`.
`Invitation` | `getInvitation(String validationText)` Retrieves an `Invitation` for the supplied validation text, which serves as a key to the invitation.
`SortableFilterablePagedResult<Invitation>` | `getInvitations(InvitationSearchCriteria criteria, int pageSize)` Gets all of the `Invitations` for the specified search criteria.
`void` | `inviteToCommunity(InviteeIterator invitees, InvitationDetails inviteDetails, CommunityInviter[] inviters)` Invites a set of `Invitees` to a community, via a specified set of communications methods.
`void` | `removeInvitation(InviteeId inviteeId)` Deletes a single `Invitation` from the database.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInvitation

    public Invitation getInvitation(String validationText)
                             throws RemoteException

  Retrieves an `Invitation` for the supplied validation text, which serves as a key to the invitation. This method may be called even if no user is currently authenticated in the request.

  Parameters
    `validationText` - the validation text to use when retrieving the invitation.
  Returns
    the Invitation for the specified validation text, or null if no invitation matching the validation text could be found.
  Throws
    `RemoteException`

### consume

    public InvitationStatus consume(Invitation invitation,
                                    InvitationStatus status)
                             throws RemoteException,
                                    NotEntitledException

  Convenience method for consuming an invitation.

  Parameters
    `invitation` - the Invitation object to consume.
    `status` - the status to set for the invitation.
  Returns
    The InvitationStatus that the system set the Invitation to. In the case of either expiration or prior revocation, this will be the status returned instead of the input status, so the caller can check to verify the actual result of the operation.
  Throws
    `NotEntitledException` - if no user is currently logged in.
    `RemoteException`

### inviteToCommunity

    public void inviteToCommunity(InviteeIterator invitees,
                                  InvitationDetails inviteDetails,
                                  CommunityInviter[] inviters)
                           throws RemoteException,
                                  NotEntitledException

  Invites a set of `Invitees` to a community, via a specified set of communications methods. This method is asynchronous- it will return before the operation has been completed, as the operation may take a long time.

  Parameters
    `invitees` - an `InviteeIterator` that can enumerate all users to invite
    `inviteDetails` - detailed information about the invitation to perform.
    `inviters` - an array of `CommunityInviters` which specifies the various communications channel `Inviters` the framework should use to send the invitations.
  Throws
    `NotEntitledException` - if no user is currently logged in.
    `RemoteException`

### getInvitation

    public Invitation getInvitation(CommunityDefinitionId communityId,
                                    String wlsUserName)
                             throws RemoteException,
                                    NotEntitledException

  Retrieves an `Invitation` by communityId and wlsUserName. This is useful for cases where the `Invitee` has an existing WLS username and the Community is known. If there is more than one `Invitation` for the specified user and community, the most recent `Invitation` will be returned.

  Parameters
    `communityId` - The community to get invitations for
    `wlsUserName` - The user to get invitations for.
  Returns
    an Invitation object for the specified community and user if one exists, null otherwise. If multiple invitations exist, one is chosen randomly.
  Throws
    `NotEntitledException` - if no user is currently logged in.
    `RemoteException`

### getInvitation

    public Invitation getInvitation(InviteeId inviteeId)
                             throws RemoteException,
                                    NotEntitledException

  Retrieves an `Invitation` by `InviteeId`. This is useful for cases where a Communities application has access to the `InviteeId`, typically obtained from a custom `CommunityInviter` implementation after an invitation operation has completed.

  Parameters
    `inviteeId` - the invitee to get an invitation for.
  Returns
    invitation details for the invitation with the specified validation text, if it exists, otherwise null.
  Throws
    `NotEntitledException` - if no user is currently logged in.
    `RemoteException`

### getInvitations

    public SortableFilterablePagedResult<Invitation> getInvitations(InvitationSearchCriteria criteria,
                                                                    int pageSize)
                                                             throws RemoteException,
                                                                    NotEntitledException

  Gets all of the `Invitations` for the specified search criteria.

  Parameters
    `criteria` - the criteria invitations must match to be returned.
    `pageSize` - the number of invitations to return per page.
  Returns
    a paged result of invitations matching the specified criteria.
  Throws
    `NotEntitledException` - if no user is currently logged in.
    `RemoteException`

### removeInvitation

    public void removeInvitation(InviteeId inviteeId)
                          throws RemoteException,
                                 NotEntitledException

  Deletes a single `Invitation` from the database.

  Parameters
    `inviteeId` - the id of the invitation to delete
  Throws
    `NotEntitledException` - if no user is currently logged in.
    `RemoteException`

### getCommunityInvitationHelper

    public static CommunityInvitationHelper getCommunityInvitationHelper(HttpServletRequest request)

  A convenience method for returning the `CommunityInvitationHelper` object associated with the specified Request.

  Parameters
    `request` - the `HttpServletRequest`.
  Returns
    the `CommunityInvitationHelper` object associated with the request.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved